Thread (30 messages) flat view 30 messages, 2 authors, 2021-11-10
STALE1766d

[PATCH 02/11] selftests: net/fcnal: Mark unknown -t or TESTS value as error

From: Leonard Crestez <hidden>
Date: 2021-10-06 11:48:00
Also in: linux-kselftest, lkml
Subsystem: kernel selftest framework, networking [general], the rest · Maintainers: Shuah Khan, Shuah Khan, "David S. Miller", Eric Dumazet, Jakub Kicinski, Paolo Abeni, Linus Torvalds

Right now unknown values are completely ignored which is very confusing
and lead to a subset of tests being skipped because of a mispelling.

Signed-off-by: Leonard Crestez <redacted>
---
 tools/testing/selftests/net/fcnal-test.sh | 3 +++
 1 file changed, 3 insertions(+)
diff --git a/tools/testing/selftests/net/fcnal-test.sh b/tools/testing/selftests/net/fcnal-test.sh
index 2839bed91afa..43ea5c878a85 100755
--- a/tools/testing/selftests/net/fcnal-test.sh
+++ b/tools/testing/selftests/net/fcnal-test.sh
@@ -4005,10 +4005,13 @@ do
 	# setup namespaces and config, but do not run any tests
 	setup)		 setup; exit 0;;
 	vrf_setup)	 setup "yes"; exit 0;;
 
 	help)            echo "Test names: $TESTS"; exit 0;;
+	*)
+		echo "Unknown test '$t'"
+		exit 1
 	esac
 done
 
 cleanup 2>/dev/null
 
-- 
2.25.1
Keyboard shortcuts
hback out one level
jnext message in thread
kprevious message in thread
ldrill in
Escclose help / fold thread tree
?toggle this help